use DataTest.pkg

object oFullTableScan is a cFullTableScan no_image
  procedure DoScreenUpdate integer liRecordCount
    showln (string(liRecordCount)+" records scanned")
  end_procedure
  procedure DoScanTable string lsRootName
    showln "DoScanTable: " lsRootName
    forward send DoScanTable lsRootName
  end_procedure
  function iUserInterrupt returns integer
    function_return (MB_CancelOnKeypress("Cancel the current scan?"))
  end_function
end_object

procedure Activate_DataTest_Vw
  local integer liObj liFullTableScan
  get iDataTest_SetProperties "Check that data in tables can be read" 0 1 to liObj
  if liObj begin
    move (oFullTableScan(self)) to liFullTableScan
    send DoAdoptProperties to liFullTableScan liObj
    send DoScanAllFilelist to liFullTableScan
    send output.display_file "DataTest.out"
  end
end_procedure
